MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/log.h File Reference

`#include <glib.h>`
`#include <stdbool.h>`

Go to the source code of this file.

## Functions
void | log_early_init (bool verbose)
| Configure a logging destination for daemon startup, before the configuration file is read.
void | log_init (bool verbose, bool use_stdout)
void | setup_log_output (bool use_stdout)
int | cycle_log_files (void)
void | close_log_files (void)

## Function Documentation

void close_log_files | ( | void |  | ) |

int cycle_log_files | ( | void |  | ) |

void log_early_init | ( | bool | verbose | ) |

Configure a logging destination for daemon startup, before the configuration file is read.

This allows the daemon to use the logging library (and the command line verbose level) before it's daemonized.

Parameters:

  verbose | true when the program is started with --verbose

void log_init | ( | bool | verbose,
|  | bool | use_stdout
| ) |  |

void setup_log_output | ( | bool | use_stdout | ) |